MappingNamespace (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.map, interface: MappingNamespace

# Interface MappingNamespace

All Known Implementing Classes:
  `DataMap, EntityResolver`

public interface MappingNamespace
Defines API of a container of DbEntities, ObjEntities, Procedures, Queries and other mapping objects.

Since:
  1.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<DbEntity>`
  `getDbEntities()`
  Returns all DbEntities in the namespace.
  `DbEntity`
  `getDbEntity(String name)`
  Returns DbEntity for a given name, or null if no such DbEntity is found in the MappingNamespace.
  `Embeddable`
  `getEmbeddable(String className)`
  Returns an `Embeddable` matching class name or null if such Embeddable is not mapped.
  `Collection<Embeddable>`
  `getEmbeddables()`
  `EntityInheritanceTree`
  `getInheritanceTree(String entityName)`
  `Collection<ObjEntity>`
  `getObjEntities()`
  Returns all ObjEntities in the namespace.
  `ObjEntity`
  `getObjEntity(Class<?> entityClass)`
  `ObjEntity`
  `getObjEntity(String name)`
  Returns ObjEntity for a given name, or null if no such ObjEntity is found in the MappingNamespace.
  `ObjEntity`
  `getObjEntity(Persistent object)`
  `Procedure`
  `getProcedure(String name)`
  Returns Procedure for a given name, or null if no such Procedure is found in the MappingNamespace.
  `Collection<Procedure>`
  `getProcedures()`
  Returns all Procedures in the namespace.
  `QueryDescriptor`
  `getQueryDescriptor(String name)`
  Returns Query for a given name, or null if no such Query is found in the MappingNamespace.
  `Collection<QueryDescriptor>`
  `getQueryDescriptors()`
  Returns all Queries in the namespace.
  `SQLResult`
  `getResult(String name)`
  Returns a named result set mapping.
  `Collection<SQLResult>`
  `getResults()`

- ## Method Details

  - ### getEmbeddable

    Embeddable getEmbeddable(String className)
    Returns an `Embeddable` matching class name or null if such Embeddable is not mapped.
    Since:
      3.0

  - ### getEmbeddables

    Collection<Embeddable> getEmbeddables()
    Since:
      4.0

  - ### getResult

    SQLResult getResult(String name)
    Returns a named result set mapping.
    Since:
      3.0

  - ### getResults

    Collection<SQLResult> getResults()
    Since:
      4.0

  - ### getDbEntity

    DbEntity getDbEntity(String name)
    Returns DbEntity for a given name, or null if no such DbEntity is found in the MappingNamespace.

  - ### getObjEntity

    ObjEntity getObjEntity(String name)
    Returns ObjEntity for a given name, or null if no such ObjEntity is found in the MappingNamespace.

  - ### getProcedure

    Procedure getProcedure(String name)
    Returns Procedure for a given name, or null if no such Procedure is found in the MappingNamespace.

  - ### getQueryDescriptor

    QueryDescriptor getQueryDescriptor(String name)
    Returns Query for a given name, or null if no such Query is found in the MappingNamespace.

  - ### getDbEntities

    Collection<DbEntity> getDbEntities()
    Returns all DbEntities in the namespace.

  - ### getObjEntities

    Collection<ObjEntity> getObjEntities()
    Returns all ObjEntities in the namespace.

  - ### getProcedures

    Collection<Procedure> getProcedures()
    Returns all Procedures in the namespace.

  - ### getQueryDescriptors

    Collection<QueryDescriptor> getQueryDescriptors()
    Returns all Queries in the namespace.

  - ### getInheritanceTree

    EntityInheritanceTree getInheritanceTree(String entityName)
    Since:
      4.0

  - ### getObjEntity

    ObjEntity getObjEntity(Class<?> entityClass)
    Since:
      4.0

  - ### getObjEntity

    ObjEntity getObjEntity(Persistent object)
    Since:
      4.0